Clone Repo
curl --request POST \
--url https://api.devin.ai/v2/enterprise/organizations/{org_id}/clone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repo_path": "<string>",
"pull_repo_commands": [
"<string>"
],
"repo_note": "<string>",
"run_lint_commands": [
"<string>"
],
"run_project_commands": [
"<string>"
],
"run_tests_commands": [
"<string>"
],
"update_dependencies_commands": [
"<string>"
]
}
'import requests
url = "https://api.devin.ai/v2/enterprise/organizations/{org_id}/clone"
payload = {
"repo_path": "<string>",
"pull_repo_commands": ["<string>"],
"repo_note": "<string>",
"run_lint_commands": ["<string>"],
"run_project_commands": ["<string>"],
"run_tests_commands": ["<string>"],
"update_dependencies_commands": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
repo_path: '<string>',
pull_repo_commands: ['<string>'],
repo_note: '<string>',
run_lint_commands: ['<string>'],
run_project_commands: ['<string>'],
run_tests_commands: ['<string>'],
update_dependencies_commands: ['<string>']
})
};
fetch('https://api.devin.ai/v2/enterprise/organizations/{org_id}/clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"org_id": "<string>",
"snapshot_id": "<string>",
"status": "<string>",
"ami_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Repository Management
Clone a Repository into an Organization
Clone a repository into an organization’s snapshot
POST
/
v2
/
enterprise
/
organizations
/
{org_id}
/
clone
Clone Repo
Requires an enterprise admin personal API key.
Clones a git repository in an organization and updates into a new snapshot version.
Authorizations
Personal API Key (apk_user_*) for Enterprise Admins only
Path Parameters
Body
application/json
Repository path in the format 'owner/repo_name' (e.g., 'acme/my-project')
Example:
"owner/repo_name"
Commands to pull the repository. Recommended to leave blank as it is auto-generated.
Response
Successful Response
Response from creating a snapshot.
Timestamp when the snapshot was created
Organization ID the snapshot belongs to
ID of the created snapshot
Status of the snapshot (e.g., 'pending', 'available')
AMI ID of the snapshot (may be null if still being created)
⌘I

